Open CASCADE Technology: BOPAlgo_BuilderShape Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Protected Member Functions | Protected Attributes
BOPAlgo_BuilderShape Class Reference

Root class for algorithms that has shape as result. More...

`#include <BOPAlgo_BuilderShape.hxx>`

Inheritance diagram for BOPAlgo_BuilderShape:
[legend]

## Public Member Functions
const TopoDS_Shape & | Shape () const
| Returns the result of algorithm. More...
virtual const TopTools_ListOfShape & | Generated (const TopoDS_Shape &theS)
| Returns the list of shapes generated from the shape theS. More...
virtual const TopTools_ListOfShape & | Modified (const TopoDS_Shape &theS)
| Returns the list of shapes modified from the shape theS. More...
virtual Standard_Boolean | IsDeleted (const TopoDS_Shape &theS)
| Returns true if the shape theS has been deleted. More...
Standard_Boolean | HasDeleted () const
| Returns true if the at least one shape(or subshape) of arguments has been deleted. More...
Standard_Boolean | HasGenerated () const
| Returns true if the at least one shape(or subshape) of arguments has generated shapes. More...
Standard_Boolean | HasModified () const
| Returns true if the at least one shape(or subshape) of arguments has modified shapes. More...
const BOPCol_IndexedDataMapOfShapeListOfShape & | ImagesResult () const
Public Member Functions inherited from BOPAlgo_Algo
virtual void | Perform ()=0
Standard_Integer | ErrorStatus () const
Standard_Integer | WarningStatus () const
const BOPCol_BaseAllocator & | Allocator () const
void | SetRunParallel (const Standard_Boolean theFlag)
| Set the flag of parallel processing if <theFlag> is true the parallel processing is switched on if <theFlag> is false the parallel processing is switched off. More...
Standard_Boolean | RunParallel () const
| Returns the flag of parallel processing. More...
void | SetProgressIndicator (const Handle< Message_ProgressIndicator > &theObj)
| Set the Progress Indicator object. More...

## Protected Member Functions
| BOPAlgo_BuilderShape ()
virtual | ~BOPAlgo_BuilderShape ()
| BOPAlgo_BuilderShape (const BOPCol_BaseAllocator &theAllocator)
virtual void | PrepareHistory ()
| Prepare information for history support. More...
Protected Member Functions inherited from BOPAlgo_Algo
| BOPAlgo_Algo ()
virtual | ~BOPAlgo_Algo ()
| BOPAlgo_Algo (const BOPCol_BaseAllocator &theAllocator)
virtual void | CheckData ()
virtual void | CheckResult ()
void | UserBreak () const
| Breaks the execution if the break signal is indicated by myProgressIndicator. More...

## Protected Attributes
TopoDS_Shape | myShape
TopTools_ListOfShape | myHistShapes
BOPCol_MapOfShape | myMapShape
Standard_Boolean | myHasDeleted
Standard_Boolean | myHasGenerated
Standard_Boolean | myHasModified
BOPCol_IndexedDataMapOfShapeListOfShape | myImagesResult
Standard_Boolean | myFlagHistory
Protected Attributes inherited from BOPAlgo_Algo
BOPCol_BaseAllocator | myAllocator
Standard_Integer | myErrorStatus
Standard_Integer | myWarningStatus
Standard_Boolean | myRunParallel
Handle< Message_ProgressIndicator > | myProgressIndicator

## Additional Inherited Members
Static Public Member Functions inherited from BOPAlgo_Algo
static Standard_Boolean | GetParallelMode ()
static void | SetParallelMode (const Standard_Boolean theNewMode)

## Detailed Description

Root class for algorithms that has shape as result.

## Constructor & Destructor Documentation

BOPAlgo_BuilderShape::BOPAlgo_BuilderShape | ( |  | ) |
| protected

virtual BOPAlgo_BuilderShape::~BOPAlgo_BuilderShape | ( |  | ) |
| protectedvirtual

BOPAlgo_BuilderShape::BOPAlgo_BuilderShape | ( | const BOPCol_BaseAllocator & | theAllocator | ) |
| protected

## Member Function Documentation

virtual const TopTools_ListOfShape& BOPAlgo_BuilderShape::Generated | ( | const TopoDS_Shape & | theS | ) |
| virtual

Returns the list of shapes generated from the shape theS.

Reimplemented in BOPAlgo_Builder, and BOPAlgo_Section.

Standard_Boolean BOPAlgo_BuilderShape::HasDeleted | ( |  | ) | const

Returns true if the at least one shape(or subshape) of arguments has been deleted.

Standard_Boolean BOPAlgo_BuilderShape::HasGenerated | ( |  | ) | const

Returns true if the at least one shape(or subshape) of arguments has generated shapes.

Standard_Boolean BOPAlgo_BuilderShape::HasModified | ( |  | ) | const

Returns true if the at least one shape(or subshape) of arguments has modified shapes.

const BOPCol_IndexedDataMapOfShapeListOfShape& BOPAlgo_BuilderShape::ImagesResult | ( |  | ) | const

virtual Standard_Boolean BOPAlgo_BuilderShape::IsDeleted | ( | const TopoDS_Shape & | theS | ) |
| virtual

Returns true if the shape theS has been deleted.

Reimplemented in BOPAlgo_Builder.

virtual const TopTools_ListOfShape& BOPAlgo_BuilderShape::Modified | ( | const TopoDS_Shape & | theS | ) |
| virtual

Returns the list of shapes modified from the shape theS.

Reimplemented in BOPAlgo_Builder.

virtual void BOPAlgo_BuilderShape::PrepareHistory | ( |  | ) |
| protectedvirtual

Prepare information for history support.

Reimplemented in BOPAlgo_Builder.

const TopoDS_Shape& BOPAlgo_BuilderShape::Shape | ( |  | ) | const

Returns the result of algorithm.

## Field Documentation

Standard_Boolean BOPAlgo_BuilderShape::myFlagHistory
| protected

Standard_Boolean BOPAlgo_BuilderShape::myHasDeleted
| protected

Standard_Boolean BOPAlgo_BuilderShape::myHasGenerated
| protected

Standard_Boolean BOPAlgo_BuilderShape::myHasModified
| protected

TopTools_ListOfShape BOPAlgo_BuilderShape::myHistShapes
| protected

BOPCol_IndexedDataMapOfShapeListOfShape BOPAlgo_BuilderShape::myImagesResult
| protected

BOPCol_MapOfShape BOPAlgo_BuilderShape::myMapShape
| protected

TopoDS_Shape BOPAlgo_BuilderShape::myShape
| protected

The documentation for this class was generated from the following file:

- BOPAlgo_BuilderShape.hxx